function hipoA
m=2147483647;
a=630360016;
n=1000;
e(1)=2000000;
A=20;
S=30;

for i=1:n
e(i+1)=mod(a*e(i),m);
end;
e=e/m; 

b=A;
for i=1:n
    xA=-b*log(1-e); %массив значений с которым мы работаем
end;

%------Гипотеза-------------
ma=max(xA);
mi=min(xA);
k=28;%колличество интервалов
dx=(ma-mi)/k%определение ширины интервала

int(1)=dx;
for i=1:k
   int(i+1)=int(i)+dx;%массив границ интервалов
end;
data=xA;
intervals=int;
h=histc(data,intervals);%определение колличества значений попавших в интервал(массив)
f=h/n;
for i=1:k
    p(i)=exp((-int(i))/b)-exp(-int(i+1)/b);%цикл вычисляющий значения вероятностей P(i)
end;
z=0;
s=0;
for i=1:k
    z=z+(h(i)-n*p(i))^2/n*p(i);%непосредственно сама сумма
end;
abs(z)%модуль полученой суммы,который нужно сравнить со значением в таблице
%0.0705
%40.11